com.unitech.stuhfl

## Class STUHFL_T_ST25RU3993_Gen2_ProtocolCfg

- java.lang.Object
- - com.unitech.stuhflBridge.BR_ST25RU3993_Gen2_ProtocolCfg
  - - com.unitech.stuhfl.STUHFL_T_ST25RU3993_Gen2_ProtocolCfg

-     public class STUHFL_T_ST25RU3993_Gen2_ProtocolCfg
      extends BR_ST25RU3993_Gen2_ProtocolCfg

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_Gen2_ProtocolCfg

      `BR_ST25RU3993_Gen2_ProtocolCfg.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `STUHFL_E.GEN2_BLF` | `blf` < I/O Param: Tari setting
    `STUHFL_E.GEN2_CODING` | `coding` < I/O Param: backscatter link frequency factor: STUHFL_D_GEN2_BLF_40, ...
    `STUHFL_E.GEN2_TARI` | `tari`
    `STUHFL_E.TREXT_LEAD` | `trext` < I/O Param: Coding: STUHFL_D_GEN2_CODING_FM0, ...

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_ST25RU3993_Gen2_ProtocolCfg()`
    `STUHFL_T_ST25RU3993_Gen2_ProtocolCfg(STUHFL_E.GEN2_TARI tari, STUHFL_E.GEN2_BLF blf, STUHFL_E.GEN2_CODING coding, STUHFL_E.TREXT_LEAD trext)`
    `STUHFL_T_ST25RU3993_Gen2_ProtocolCfg(STUHFL_T_ST25RU3993_Gen2_ProtocolCfg other)` < I/O Param: Usage of short or long preamble: true if the preamble is long, i.e. with pilot tone

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `commit()` Set Gen2 protocol configuration
    `STUHFL_E.RET_CODE` | `fetch()` Get Gen2 protocol configuration
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_Gen2_ProtocolCfg

      `_Get_Gen2_ProtocolCfg, _Set_Gen2_ProtocolCfg`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### tari

          public STUHFL_E.GEN2_TARI tari

    - #### blf

          public STUHFL_E.GEN2_BLF blf

      < I/O Param: Tari setting

    - #### coding

          public STUHFL_E.GEN2_CODING coding

      < I/O Param: backscatter link frequency factor: STUHFL_D_GEN2_BLF_40, ...

    - #### trext

          public STUHFL_E.TREXT_LEAD trext

      < I/O Param: Coding: STUHFL_D_GEN2_CODING_FM0, ...

  - ### Constructor Detail

    - #### STUHFL_T_ST25RU3993_Gen2_ProtocolCfg

          public STUHFL_T_ST25RU3993_Gen2_ProtocolCfg(STUHFL_T_ST25RU3993_Gen2_ProtocolCfg other)

      < I/O Param: Usage of short or long preamble: true if the preamble is long, i.e. with pilot tone

    - #### STUHFL_T_ST25RU3993_Gen2_ProtocolCfg

          public STUHFL_T_ST25RU3993_Gen2_ProtocolCfg(STUHFL_E.GEN2_TARI tari,
                                                      STUHFL_E.GEN2_BLF blf,
                                                      STUHFL_E.GEN2_CODING coding,
                                                      STUHFL_E.TREXT_LEAD trext)

    - #### STUHFL_T_ST25RU3993_Gen2_ProtocolCfg

          public STUHFL_T_ST25RU3993_Gen2_ProtocolCfg()

  - ### Method Detail

    - #### commit

          public STUHFL_E.RET_CODE commit()

      Set Gen2 protocol configuration
      Returns:
        error code

    - #### fetch

          public STUHFL_E.RET_CODE fetch()

      Get Gen2 protocol configuration
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`